import { getColorAlias as e } from "../../utils/index.js";
function u(r, t) {
  return r && !t ? e("contentInteractivePrimary") : t ? e("contentDisabled") : e("contentInteractiveSecondary");
}
function c(r, t, n, o) {
  return r ? "not-allowed" : n && t || o ? "default" : "pointer";
}
export {
  c as getHoverCursor,
  u as getIconFill
};
